Skip to main content

CreatePredefinedDocument

Creates document chunks based on your business scenarios.

Operation description

Before using this API, review the billing methods and pricing for Tongyi Dianjin. Prerequisites
  • Activate Alibaba Cloud Model Studio and Tongyi Dianjin.
  • Obtain a workspace ID. For more information, see Get a workspace identity.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:
  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.
  • API: The API that you can call to perform the action.
  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.
  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.
    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.
    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.
  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.
  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

dianjin:CreatePredefinedDocument

create

*All Resource

*

NoneNone

Request syntax

POST /{workspaceId}/api/library/document/createPredefinedDocument HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

Yes

The workspace ID.

llm-xxxxx

Request parameters

Parameter

Type

Required

Description

Example

body

object

No

The request body.

chunks

array<object>

No

A list of document chunks.

array<object>

No

chunkMeta

object

No

The metadata for the document chunk.

{"a": "1"}

chunkOrder

integer

No

The order of the chunk. This parameter is optional.

1

chunkText

string

No

The text content of the document chunk.

这是一段测试文本

chunkType

string

No

The type of the document chunk.

text

libraryId

string

No

The ID of the document library.

a1b2c3

metadata

object

No

The metadata.

{"a": "1"}

title

string

No

The title of the document.

测试文档

Response elements

Element

Type

Description

Example

object

ResultCode<string>

cost

integer

The time consumed.

null

data

string

The returned data.

1782981430906818562

dataType

string

The data type.

null

errCode

string

The error code.

0

message

string

The error message.

ok

requestId

string

The request ID.

0a06dfe617018288881568684e2937

success

boolean

Indicates whether the request succeeded.

true

time

string

The timestamp.

2024-04-24 11:54:34

Examples

Success response JSON format
{
  "cost": 0,
  "data": "1782981430906818562",
  "dataType": "null",
  "errCode": "0",
  "message": "ok",
  "requestId": "0a06dfe617018288881568684e2937",
  "success": true,
  "time": "2024-04-24 11:54:34"
}

Error codes

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.
Token Plan
Model Playground
Fine-tuning
Model Compression
Statistics and Monitoring
Support